com.amazonaws.services.cloudfront.model

## Class CloudFrontOriginAccessIdentityList

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CloudFrontOriginAccessIdentityList

All Implemented Interfaces:
  Serializable, Cloneable

    public class CloudFrontOriginAccessIdentityList
    extends Object
    implements Serializable, Cloneable

Lists the origin access identities for CloudFront.Send a `GET` request to the `/CloudFront API version/origin-access-identity/cloudfront` resource. The response includes a `CloudFrontOriginAccessIdentityList` element with zero or more `CloudFrontOriginAccessIdentitySummary` child elements. By default, your entire list of origin access identities is returned in one single page. If the list is long, you can paginate it using the `MaxItems` and `Marker` parameters.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloudFrontOriginAccessIdentityList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CloudFrontOriginAccessIdentityList` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getIsTruncated()` A flag that indicates whether more origin access identities remain to be listed.
`List<CloudFrontOriginAccessIdentitySummary>` `getItems()` A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.
`String` `getMarker()` Use this when paginating results to indicate where to begin in your list of origin access identities.
`Integer` `getMaxItems()` The maximum number of origin access identities you want in the response body.
`String` `getNextMarker()` If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.
`Integer` `getQuantity()` The number of CloudFront origin access identities that were created by the current AWS account.
`int` `hashCode()`
`Boolean` `isTruncated()` A flag that indicates whether more origin access identities remain to be listed.
`void` `setIsTruncated(Boolean isTruncated)` A flag that indicates whether more origin access identities remain to be listed.
`void` `setItems(Collection<CloudFrontOriginAccessIdentitySummary> items)` A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.
`void` `setMarker(String marker)` Use this when paginating results to indicate where to begin in your list of origin access identities.
`void` `setMaxItems(Integer maxItems)` The maximum number of origin access identities you want in the response body.
`void` `setNextMarker(String nextMarker)` If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.
`void` `setQuantity(Integer quantity)` The number of CloudFront origin access identities that were created by the current AWS account.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CloudFrontOriginAccessIdentityList` `withIsTruncated(Boolean isTruncated)` A flag that indicates whether more origin access identities remain to be listed.
`CloudFrontOriginAccessIdentityList` `withItems(CloudFrontOriginAccessIdentitySummary... items)` A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.
`CloudFrontOriginAccessIdentityList` `withItems(Collection<CloudFrontOriginAccessIdentitySummary> items)` A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.
`CloudFrontOriginAccessIdentityList` `withMarker(String marker)` Use this when paginating results to indicate where to begin in your list of origin access identities.
`CloudFrontOriginAccessIdentityList` `withMaxItems(Integer maxItems)` The maximum number of origin access identities you want in the response body.
`CloudFrontOriginAccessIdentityList` `withNextMarker(String nextMarker)` If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.
`CloudFrontOriginAccessIdentityList` `withQuantity(Integer quantity)` The number of CloudFront origin access identities that were created by the current AWS account.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudFrontOriginAccessIdentityList

    public CloudFrontOriginAccessIdentityList()

### Method Detail

#### setMarker

    public void setMarker(String marker)

Use this when paginating results to indicate where to begin in your list of origin access identities. The results include identities in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last identity on that page).

Parameters:
  `marker` - Use this when paginating results to indicate where to begin in your list of origin access identities. The results include identities in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last identity on that page).

#### getMarker

    public String getMarker()

Use this when paginating results to indicate where to begin in your list of origin access identities. The results include identities in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last identity on that page).

Returns:
  Use this when paginating results to indicate where to begin in your list of origin access identities. The results include identities in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last identity on that page).

#### withMarker

    public CloudFrontOriginAccessIdentityList withMarker(String marker)

Use this when paginating results to indicate where to begin in your list of origin access identities. The results include identities in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last identity on that page).

Parameters:
  `marker` - Use this when paginating results to indicate where to begin in your list of origin access identities. The results include identities in the list that occur after the marker. To get the next page of results, set the `Marker` to the value of the `NextMarker` from the current page's response (which is also the ID of the last identity on that page).
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextMarker

    public void setNextMarker(String nextMarker)

If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.

Parameters:
  `nextMarker` - If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.

#### getNextMarker

    public String getNextMarker()

If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.

Returns:
  If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.

#### withNextMarker

    public CloudFrontOriginAccessIdentityList withNextMarker(String nextMarker)

If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.

Parameters:
  `nextMarker` - If `IsTruncated` is `true`, this element is present and contains the value you can use for the `Marker` request parameter to continue listing your origin access identities where they left off.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setMaxItems

    public void setMaxItems(Integer maxItems)

The maximum number of origin access identities you want in the response body.

Parameters:
  `maxItems` - The maximum number of origin access identities you want in the response body.

#### getMaxItems

    public Integer getMaxItems()

The maximum number of origin access identities you want in the response body.

Returns:
  The maximum number of origin access identities you want in the response body.

#### withMaxItems

    public CloudFrontOriginAccessIdentityList withMaxItems(Integer maxItems)

The maximum number of origin access identities you want in the response body.

Parameters:
  `maxItems` - The maximum number of origin access identities you want in the response body.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIsTruncated

    public void setIsTruncated(Boolean isTruncated)

A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

Parameters:
  `isTruncated` - A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

#### getIsTruncated

    public Boolean getIsTruncated()

A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

Returns:
  A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

#### withIsTruncated

    public CloudFrontOriginAccessIdentityList withIsTruncated(Boolean isTruncated)

A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

Parameters:
  `isTruncated` - A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isTruncated

    public Boolean isTruncated()

A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

Returns:
  A flag that indicates whether more origin access identities remain to be listed. If your results were truncated, you can make a follow-up pagination request using the `Marker` request parameter to retrieve more items in the list.

#### setQuantity

    public void setQuantity(Integer quantity)

The number of CloudFront origin access identities that were created by the current AWS account.

Parameters:
  `quantity` - The number of CloudFront origin access identities that were created by the current AWS account.

#### getQuantity

    public Integer getQuantity()

The number of CloudFront origin access identities that were created by the current AWS account.

Returns:
  The number of CloudFront origin access identities that were created by the current AWS account.

#### withQuantity

    public CloudFrontOriginAccessIdentityList withQuantity(Integer quantity)

The number of CloudFront origin access identities that were created by the current AWS account.

Parameters:
  `quantity` - The number of CloudFront origin access identities that were created by the current AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getItems

    public List<CloudFrontOriginAccessIdentitySummary> getItems()

A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.

Returns:
  A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.

#### setItems

    public void setItems(Collection<CloudFrontOriginAccessIdentitySummary> items)

A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.

Parameters:
  `items` - A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.

#### withItems

    public CloudFrontOriginAccessIdentityList withItems(CloudFrontOriginAccessIdentitySummary... items)

A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public CloudFrontOriginAccessIdentityList withItems(Collection<CloudFrontOriginAccessIdentitySummary> items)

A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.

Parameters:
  `items` - A complex type that contains one `CloudFrontOriginAccessIdentitySummary` element for each origin access identity that was created by the current AWS account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CloudFrontOriginAccessIdentityList clone()

Overrides:
  `clone` in class `Object`